QGIS Application - Bug report #11457
Composer map: filter legend by map content doesn't works
2014-10-21 03:03 AM - Loic BARTOLETTI

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 19733
Description

filter legend by map content works with map canvas but not with map composer (simple symbol or rule base for my test).
All styles are into legend.

History

#1 - 2014-10-23 11:46 AM - Nyall Dawson
- Affected QGIS version changed from 2.4.0 to master
- Priority changed from Normal to Severe/Regression

This should be a blocker - it's a new feature which isn't working correctly.

#2 - 2014-10-23 02:07 PM - Jiirgen Fischer
- Status changed from Open to Feedback

The composer legend in the example file is not assigned to a map. Once it's assigned to the map, the legend filter works.

#3 - 2014-10-23 03:04 PM - Nyall Dawson
- File classes_shown_on_map.png added

- File classes_not_shown_on_map.png added

Hmm... There's still an issue here though. In some circumstances only the symbol is removed, not the actual legend text. I've attached screenshots which
illustrate this.

#4 - 2014-10-23 10:35 PM - Martin Dobias
- Resolution set to duplicate
- Status changed from Feedback to Closed

Then this is duplicate of #11293 (second part of it). Currently when the filtering is turned on, only legend nodes are filtered out, the layer nodes stay in the
tree, that's why you can see legend text with no symbol...

Files
filter_legend_by_map_content.zip 15.1 KB 2014-10-21 Loic BARTOLETTI
classes_shown_on_map.png 68.1 KB 2014-10-23 Nyall Dawson
classes_not_shown_on_map.png 27.7 KB 2014-10-23 Nyall Dawson
